[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TCustomSQLStatement.Prepared

Is the statement prepared or not

## Declaration

Source position: sqldb.pp line 428

`public property TCustomSQLStatement.Prepared : Boolean read GetPrepared;`

## Description

Prepared equals True if Prepare was called (implicitly or explicitly), it returns False if not. It can be set to True or False to call Prepare or UnPrepare, respectively.

## See also

TCustomSQLStatement.Prepare |  | Prepare the statement for execution
TCustomSQLStatement.UnPrepare |  | Unprepare a previously prepared statement